﻿input[type=text]::-ms-clear { display: none; }

.with-small-padding-sides {
    padding: 0px 5px;
}

.icon-edit {
    width: 16px;
    height: 16px;
    background-image: url('/Content/Images/edit-icon.png');
    background-repeat: no-repeat;
}

.icon-docDownloaded {
	width: 16px;
    height: 16px;
    background-image: url('/Content/Images/accept.png');
    background-repeat: no-repeat;	
	/*margin-top:-5px;*/
	
}

.icon-docNotDownloaded {
	width: 16px;
    height: 16px;
    background-image: url('/Content/Images/exclamation.png');
    background-repeat: no-repeat;	
	/*margin-top:-5px;*/
	
}

.ui-resizable-helper {
    border: 2px dotted gray;
}

.ui-icon-carat-2-n-s { 
    width: 0px !important; /* to align the header and the row values*/
}

#resize-grip {
    display: block;
    width: 7px;
    height: 100%;
    top: 41px;
    left: 260px;
    position: fixed;
    z-index: 3;
    /*border: 2px solid blue;*/
    background: url(/Content/Images/splitter_horCol.gif) no-repeat 0 0;
    background-position: right center;
    cursor: e-resize;
    /*pointer-events:none;*/
}

    #resize-grip:hover {
        background-color: rgba(128, 128, 128, 0.5);
    }

.resize-grip {
    display: block;
    width: 7px;
    height: 100%;
    top: 110px;
    position: absolute;
    z-index: 3;
    border: 1px solid rgba(128, 128, 128, 0.5);
    background: url(/Content/Images/splitter_horCol.gif) no-repeat 0 0;
    background-position: right center;
    cursor: e-resize;
    /*pointer-events:none;*/
}

    .resize-grip:hover {
        background-color: rgba(128, 128, 128, 0.5);
    }

#resize-grip-vp {
    display: block;
    width: 7px;
    height: 100%;
    top: 0px;
    left: 492px;
    position: absolute;
    z-index: 3;
    /*border: 2px solid blue;*/
    background: url(/Content/Images/splitter_horCol.gif) no-repeat 0 0;
    background-position: right center;
    cursor: e-resize;
    /*pointer-events:none;*/
}

    #resize-grip-vp:hover {
        background-color: rgba(128, 128, 128, 0.5);
    }

.resize-grip-vp {
    display: block;
    width: 7px;
    height: 100%;
    top: 0px;
    position: absolute;
    z-index: 3;
    border: 1px solid rgba(128, 128, 128, 0.5);
    background: url(/Content/Images/splitter_horCol.gif) no-repeat 0 0;
    background-position: right center;
    cursor: e-resize;
    /*pointer-events:none;*/
}

    .resize-grip-vp:hover {
        background-color: rgba(128, 128, 128, 0.5);
    }

.vresize-grip {
    display: block;
    width: 100%;
    height: 7px;
    top: 110px;
    position: absolute;
    z-index: 3;
    border: 1px solid rgba(128, 128, 128, 0.5);
    background: url(/Content/Images/splitter_verCol.gif) no-repeat 0 0;
    background-position: center;
    cursor: n-resize;
    /*pointer-events:none;*/
}

    .vresize-grip:hover {
        background-color: rgba(128, 128, 128, 0.5);
    }

.newspaper .left-column {
    border-right: 1px solid #bfbfbf;
    margin-right: 270px;
    column-count: 2;
    -moz-column-count: 2;
    -webkit-column-count: 2;
    -webkit-break-inside: avoid-column;
    break-inside: avoid-column;
    -webkit-column-break-inside: avoid-column;
}

.newspaper .right-column {
    border-left: 1px solid #bfbfbf;
    float: right;
    width: 250px;
    margin-bottom: 0;
    margin-left: -1px;
}

.completed > .wizard-step {
    color: white;
    /*background: #eb671d url(/Content/Images/img/old-browsers/colors/bg_orange-active_active.png) repeat-x;*/
    background: orange;
    -webkit-background-size: 100% 100%;
    -moz-background-size: 100% 100%;
    -o-background-size: 100% 100%;
    background-size: 100% 100%;
    /*background: -webkit-gradient(linear, left top, left bottom, from(#fe9b96), to(#eb671d));
    background: -webkit-linear-gradient(top, #fe9b96, #eb671d);
    background: -moz-linear-gradient(top, #fe9b96, #eb671d);
    background: -ms-linear-gradient(top, #fe9b96, #eb671d);
    background: -o-linear-gradient(top, #fe9b96, #eb671d);
    background: linear-gradient(top, #fe9b96, #eb671d);
    border-color: #eb671d;*/
    border-color: orange;
}

/*.ellipsis {
    -ms-text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
}*/
.ellipsis {
    white-space: nowrap;
    -ms-text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    max-width: 500px;
    display: inline-block;
    overflow: hidden;
}

.ellipsis-row {
    overflow: hidden;
    -ms-text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    text-overflow: -o-ellipsis-lastline;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    height: 2.4em;
}

.ellipsis-row-menu {
    overflow: hidden;
    -ms-text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    text-overflow: -o-ellipsis-lastline;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    height: 1.5em;
}

.ellipsis-calendar {
    white-space: nowrap;
    -ms-text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    max-width: 150px;
    display: inline-block;
    overflow: hidden;
}

.ellipsis-calendar-desc {
    white-space: nowrap;
    -ms-text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    max-width: 450px;
    display: inline-block;
    overflow: hidden;
}
/*
.ellipsis-row {
    overflow: hidden;
    height: 2.4em;
    line-height: 1.2em;
    padding: 0px 0px;
    margin: 0px 0px;
}

    .ellipsis-row:before {
        content: "";
        float: left;
        width: 5px;
        height: 2.4em;
    }

    .ellipsis-row > *:first-child {
        float: right;
        width: 100%;
        margin-left: -5px;
    }

    .ellipsis-row:after {
        content: "\2026";
        box-sizing: content-box;
        -webkit-box-sizing: content-box;
        -moz-box-sizing: content-box;
        float: right;
        position: relative;
        top: -25px;
        left: 100%;
        width: 3em;
        margin-left: -3em;
        padding-right: 5px;
        text-align: right;
        background: -webkit-gradient(linear, left top, right top, from(rgba(255, 255, 255, 0)), to(white), color-stop(50%, white));
        background: -moz-linear-gradient(to right, rgba(255, 255, 255, 0), white 50%, white);
        background: -o-linear-gradient(to right, rgba(255, 255, 255, 0), white 50%, white);
        background: -ms-linear-gradient(to right, rgba(255, 255, 255, 0), white 50%, white);
        background: linear-gradient(to right, rgba(255, 255, 255, 0), white 50%, white);
    }
*/
.max-width-400px {
    max-width: 400px;
}

.header-title {
    font-size: 16px;
    font-weight: bold;
    max-width: 600px;
}

/* Fixed columns */
.left-column-320px .left-column,
.right-column-320px .right-column {
    margin-bottom: 20px;
}

.left-column-320px:before, .left-column-320px:after, .left-column-320px:after, .left-column-3200px {
    clear: both;
    -ms-zoom: 1;
    zoom: 1;
}

.left-column-320px .left-column {
    float: left;
    width: 320px;
    margin-bottom: 0;
}

.left-column-320px .right-column {
    margin-left: 340px;
}

/* disable textarea resize handle in HTML5 */
textarea {
    resize: none;
}

/* overrides for box-shadow or text-shadow for mobile */
@media only all and (min-width: 480px) and (min-width: 768px) and (min-width: 992px) {
}
/* override all text-shadows box-shadows */
/*
    * {
        -webkit-box-shadow: none !important;
        -moz-box-shadow: none !important;
        box-shadow: none !important;
        text-shadow: none !important;
    }
    */

/* OR, specific override */
/*
    .table,
    .table > thead > tr > th,
	.table > thead > tr > td,
	.table > tfoot > tr > th,
	.table > tfoot > tr > td,
    .table-header{
        -webkit-box-shadow: none !important;
        -moz-box-shadow: none !important;
        box-shadow: none !important;
    }

    .cell-drop {
        -webkit-box-shadow: none !important;
        -moz-box-shadow: none !important;
        box-shadow: none !important;
    }
}*/
:hover > .button-icon.orange-bg {
    color: white;
    background: #ff9700 url(/Content/Images/img/old-browsers/colors/bg_a_orange-gradient_hover.png) repeat-x;
    -webkit-background-size: 100% 100%;
    -moz-background-size: 100% 100%;
    -o-background-size: 100% 100%;
    background-size: 100% 100%;
    background: -webkit-gradient(linear, left top, left bottom, from(#ffcd00), to(#ff9700));
    background: -webkit-linear-gradient(top, #ffcd00, #ff9700);
    background: -moz-linear-gradient(top, #ffcd00, #ff9700);
    background: -ms-linear-gradient(top, #ffcd00, #ff9700);
    background: -o-linear-gradient(top, #ffcd00, #ff9700);
    background: linear-gradient(top, #ffcd00, #ff9700);
    border-color: #cc9707;
}

.smartroom {
    background: url(/Content/Images/smartroom2012.png) center no-repeat;
}

.bmc-orange {
    color: #ec7a08;
    text-decoration: none;
}

.bmc-bg {
    background-color: #f8f8f8;
}

.bmc-table {
    /*background-color: #f8f8f8;*/
    background-color: none;
}

    .bmc-table > tbody > tr {
        height: 50px;
    }

        .bmc-table > tbody > tr:nth-child(even) {
            /*background: #f8f8f8;*/
            background-color: none;
        }

        .bmc-table > thead > tr > th, .bmc-table > thead > tr > td, .bmc-table > tfoot > tr > th, .bmc-table > tfoot > tr > td, .bmc-table > tbody > tr > td {
            border: none;
            background: none;
            padding: 8px;
        }

        .bmc-table > thead > tr > th, .bmc-table > thead > tr > td
        {
            font-size: 15px !important;
        }

a.bmc-crud {
    width: 16px;
    height: 16px;
}

/* please don't put spaces in between */
.DataTables_sort_icon.css_right.ui-icon {
    position: static;
    float: left;
    display: inline-block;
    color: Black;
}

.bmc-table .DataTables_sort_wrapper {
    text-align: left;
}

.no-wrap {
    -ms-word-wrap: break-word;
    word-wrap: break-word;
    white-space: nowrap;
    overflow: hidden;
}

/* Simple table style BMC */
.simple-table {
    width: 100%;
    /*background-color: #ffffff;*/
    background-color: transparent;
    table-layout: fixed;
}

    .simple-table > thead > tr > th,
    .simple-table > thead > tr > td,
    .simple-table > tfoot > tr > th,
    .simple-table > tfoot > tr > td {
        color: black;
        padding: 8px 0px;
    }

    .simple-table > thead > tr > th,
    .simple-table > thead > tr > td {
        font-weight: bold;
        font-size: 13px;
        border-bottom: 1px solid #cccccc;
    }

    .simple-table > tfoot > tr > th,
    .simple-table > tfoot > tr > td {
        border-top: 1px solid #cccccc;
    }

    .simple-table > tbody > tr > th,
    .simple-table > tbody > tr > td {
        padding: 6px 4px;
        color: #333333;
        border-top: 1px solid #e6e6e6;
    }

    .simple-table > tbody > tr:first-child > th,
    .simple-table > tbody > tr:first-child > td {
        border-top-color: #cccccc;
    }

    .simple-table > thead,
    .simple-table > tbody > tr > th,
    .simple-table > tfoot > tr > th {
        text-align: left;
    }

    /* Even rows styling */
    .simple-table > tbody > tr:nth-child(even) {
        /*background: #f7f7f7;*/
        background: none;
    }

    .simple-table > tbody > tr.even {
        /*background: #f7f7f7;*/
    }

    /* Hover styling */
    .simple-table > tbody > tr:hover {
        background: #f0f0f0;
    }

    .simple-table > thead > tr > th {
        border: none;
    }

    .simple-table .alignCenter .DataTables_sort_wrapper {
        text-align: center;
        cursor: pointer;
        padding-left: 4px;    
    }

    .simple-table .DataTables_sort_wrapper {
        text-align: left;
        cursor: pointer;
        padding-left: 4px;    
    }

    .simple-table .title-left {
        text-align: left;
        display: inline-block;
    }

    .simple-table .title-right {
        text-align: right;
        display: inline-block;
    }

.multiSelect {
	width: 228px;
	height: 32px;
	border: 0 none;
    border-radius: 4px;
    box-shadow: 0 0 0 1px rgba(51, 153, 255, 0) inset, 0 2px 5px rgba(0, 0, 0, 0.35) inset, 0 1px 1px rgba(255, 255, 255, 0.5), 0 0 0 rgba(51, 153, 255, 0);
    display: inline-block;
    line-height: 30px;
    padding: 0 9px;
    text-align: left;
    transition: box-shadow 400ms ease 0s;
    vertical-align: baseline;	
}

.multiSelect.hover {
	background: url(/Content/Images/dropdown_hover.gif) right center no-repeat;
}

.multiSelect.active, 
.multiSelect.focus {
	/*border: inset 1px #000;*/
}

.multiSelect.active {
	background: url(/Content/Images/dropdown_active.gif) right center no-repeat;
}

.multiSelectOptions {
	width: 248px;
	max-height: 150px;
	margin-top: -1px;
	overflow: auto;
	/*border: solid 1px #B2B2B2;*/
	background: #FFF;
}

.multiSelectOptions LABEL {
	padding: 2px 5px;
	display: block;
}

.multiSelectOptions LABEL.checked {
	background: #E6E6E6;
}

.multiSelectOptions LABEL.selectAll {
	/*border-bottom: dotted 1px #CCC;*/
}

.multiSelectOptions LABEL.hover {
	background: #CFCFCF;
}

.modal-blocker.visible {
    background: rgba(0, 0, 0, 0.1);
}

iframe {
    /*opacity: 0.4;*/ /*this is causing iframe in cleditor to show as disabled text.*/
    filter: alpha(opacity=40); /* For IE8 and earlier */
}

.inline-small-label {
    padding-left: 100px;
}

.inline-small-label > .label {
    margin-left: -100px;
}

.tiny-padding {
    padding-left: 60px;
}

.tiny-padding > .label {
    text-align: right;
    margin-left: -60px;
}

/* vherz - for all element (span, div, etc.) with a filetype attribute*/
[filetype]:after {
    content: ' ';
    padding: 2px 9px;
}

[filetype$=".pdf"]:after {  
    background: url('/Content/Images/filetree/pdf.png') no-repeat;  
}

[filetype$=".docx"]:after,
[filetype$=".doc"]:after {  
    background: url('/Content/Images/filetree/doc.png') no-repeat;  
}

[filetype$=".xlsx"]:after,
[filetype$=".xls"]:after {  
    background: url('/Content/Images/filetree/xls.png') no-repeat;  
}
[filetype$=".pptx"]:after,
[filetype$=".ppt"]:after {  
    background: url('/Content/Images/filetree/ppt.png') no-repeat;  
}

[filetype$=".txt"]:after {  
    background: url('/Content/Images/filetree/txt.png') no-repeat;  
}

[filetype$=".del"]:after {  
    background: url('/Content/Images/cross.png') no-repeat;  
    cursor: pointer;
}

[filetype$=".folder"]:after {  
    background: url('/Content/Images/filetree/folder_open.png') no-repeat;  
    cursor: pointer;
}

.viewer-link {
    outline: 1px dotted rgb(0,100,0);
}

.button-details-calendar {
	display: inline-block;
	*display: inline;
	zoom: 1;
	vertical-align: baseline;
	*vertical-align: middle;
	position: relative;
	text-align: center;
	font-weight: bold;
	text-transform: none;
	padding: 0 2px;
	font-size: 13px;
	-webkit-background-clip: padding-box;
	-webkit-box-sizing: content-box;
	-moz-box-sizing: content-box;
	box-sizing: content-box;
	min-width: 6px;
	/*border-width: 1px;
	border-style: solid;*/
	-webkit-background-clip: padding-box;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	-webkit-appearance: none;
	background-position: center center !important; /* This is required for glossy gradients image fallbacck*/
	}

.fg-button {
    padding: 0 3px 0;
    cursor: pointer;
}

.dataTables_wrapper .bottom{
    height: 25px;
    padding: 9px;
}

.dataTables_wrapper .top {
    /*width: 175px;*/	 
	 height: 25px;
     padding: 9px;
}

.column-list ul {
    width: 500px;
    margin-left: auto;
    margin-bottom: 10px;
    overflow: hidden;
    border-top: 1px solid #ccc;
}

    .column-list ul li {
        line-height: 1.5em;
        /*border-bottom: 1px solid #ccc;*/
        float: left;
        padding: 5px 3px;
    }

    .column-list ul li:hover {
        background: #f0f0f0;
    }

.double li {
    width: 50%;
}

.triple li {
    width: 33.333%;
}

.quad li {
    width: 25%;
}

.six li {
    width: 16.666%;
}

.column-overflow {
    overflow: hidden;
    -ms-text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: 230px;
}

a.bmcblue:link,
a.bmcblue:visited,
a.bmcblue:active { color:blue; text-decoration: none; }
a.bmcblue:hover { color: blue; text-decoration: none; }

a.bmcgreen:link,
a.bmcgreen:visited,
a.bmcgreen:active { color: #00CC00; text-decoration: none; }
a.bmcgreen:hover { color: #00CC00; text-decoration: none; }

.left-border 
{
    border-left: 1px solid rgba(102, 102, 102, 0.33) !important;
}

.right-border
{
    border-right: 1px solid rgba(102, 102, 102, 0.33) !important;
}

.nicEdit-selectTxt
{
    line-height:  16px !important;
}

table.dataTable thead .sorting {
  background: url("../../../../Content/images/sort_both.png") no-repeat center right;
  cursor: pointer;
}
table.dataTable thead .sorting_asc {
  background: url("../../../../Content/Images/sort_asc.png") no-repeat center right;
}
table.dataTable thead .sorting_desc {
  background: url("../../../../Content/images/sort_desc.png") no-repeat center right;
}
table.dataTable thead .sorting_disabled {
  background: url("../../../../Content/images/sort_both.png") no-repeat center right;
  cursor: default;
}
table.dataTable thead .sorting_asc_disabled {
  background: url("../../../../Content/images/sort_asc_disabled.png") no-repeat center right;
}
table.dataTable thead .sorting_desc_disabled {
  background: url("../../../../Content/images/sort_desc_disabled.png") no-repeat center right;
}

th.low-padding,
td.low-padding {
	/*line-height: 24px !important;*/
	/*padding: 5px 5px 4px 5px !important;*/
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

 .select-editable {
     position:relative;
     background-color:white;
     border:solid grey 1px;
     width:200px;
     height:18px;
 }
 .select-editable select {
     position:absolute;
     top:0px;
     left:0px;
     font-size:14px;
     border:none;
     width:200px;
     margin:0;
 }
 .select-editable input {
     position:absolute;
     top:0px;
     left:0px;
     width:180px;
     padding:1px;
     font-size:12px;
     border:none;
 }
 .select-editable select:focus, .select-editable input:focus {
     outline:none;
 }

.autocomplete-suggestions { 
    overflow: auto; 
    border: 1px solid #CBD3DD; 
    background: #FFF; 
}

.autocomplete-suggestion { 
    overflow: hidden; 
    padding: 5px 15px; 
    white-space: nowrap; 
}

.autocomplete-selected { 
    background: #F0F0F0; 
}

.autocomplete-suggestions strong { 
    color: #029cca; 
    font-weight: normal; 
}

.role-autocomplete{
    width: 176px;
    line-height: normal;
}

#ui-datepicker-div {display: none;}